
D4Science Infrastructure - Task #12444

Task # 12425 (Closed): Enable TLS/SSL on the mongodb clusters

Enable TLS/SSL on the mongodb production cluster

Sep 10, 2018 03:30 PM - Roberto Cirillo

Status: Closed Start date: Sep 10, 2018

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Mongodb: enable and enforce TLS   

Infrastructure: Production   

Description

It's supported since 3.0 and the configuration seems straightforward.

The documentation: https://docs.mongodb.com/v3.4/tutorial/configure-ssl/

How to upgrade a cluster to tls/ssl: https://docs.mongodb.com/v3.4/tutorial/upgrade-cluster-to-ssl/

Documentation for the clients: https://docs.mongodb.com/v3.4/tutorial/configure-ssl-clients/

Related issues:

Related to D4Science Infrastructure - Upgrade #12865: D4Science Root VO upgra... Completed Nov 19, 2018 Nov 19, 2018

Blocked by D4Science Infrastructure - Task #12443: Enable TLS/SSL on the mong... Closed Sep 10, 2018

History

#1 - Sep 10, 2018 03:31 PM - Roberto Cirillo

- Blocked by Task #12443: Enable TLS/SSL on the mongodb development cluster added

#2 - Oct 18, 2018 03:40 PM - Roberto Cirillo

- Status changed from New to In Progress

- % Done changed from 0 to 20

The certificates have been already installed on mongodb cluster and mongo volatile area instance.

#3 - Oct 18, 2018 03:41 PM - Roberto Cirillo

- Status changed from In Progress to Paused

#4 - Nov 13, 2018 10:25 AM - Roberto Cirillo

- Related to Upgrade #12865: D4Science Root VO upgrade to gCube 4.13 added

#5 - Nov 20, 2018 10:15 AM - Roberto Cirillo

- Status changed from Paused to Closed

- % Done changed from 20 to 100
